Bug 160557 - Installer crashes in hundreds of different ways, destroys my system
Installer crashes in hundreds of different ways, destroys my system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 15:52 EDT by David Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-16 07:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2005-06-15 15:52:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3) (KHTML, like Gecko)

Description of problem:
I have (had) a Fedora Core 2 system, fully updated. The same piece of hardware 
in the past ran Red Hat 9, then Fedora Core 1, then Core 2, all with no 
problems. 
 
I downloaded Fedora Core 4 DVD ISO; verified the SHA sum; burned it to DVD and 
it successfully passed the media check. 
 
When I tried to upgrade my system, it failed each time at the "Preparing to 
install...." stage. The installer crashed and closed itself down. 
 
Then my system no longer booted into FC2. It got to the login screen, but 
logging in crashed. From the command line I tried a few commands, but after a 
couple of minutes everything returned "Segmentation Fault". This has never 
happened before. 
 
After a while, I tried various different things: 
- Upgrade from hard drive ISO image 
- Upgrade via text mode 
- New install instead of upgrade 
 
Every time it crashed, at various different stages: 
- Before first screen in installer 
- When clicking "Options" for KDE group 
- When clicking "OK" having entered a GRUB password 
- After installing first 10 packages (this is the furthest it got) 
- And many, many other places 
 
I then ran a newly-downloaded Knoppix 3.9 .... which exhibited similar 
behaviour. What has this installer done to my system?!? 
 
The variety of error messages included (going from memory): 
- cpio: bad magic 
- different python tracebacks 
- glibc double free error 
- bad checksum 
 
Eventually, I gave up. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to install / upgrade Fedora Core 4 
 

Actual Results:  System hosed 

Expected Results:  System upgraded to FC 4 

Additional info:
Comment 1 David Anderson 2005-06-15 15:53:50 EDT
Forgot to add another one of the various error message with which it crashed: 
- unresolved symbols 
Comment 2 Paul Nasrat 2005-06-15 15:57:55 EDT
Please supply any error messages at the crash in the installer on tty3-5.

If it crashed mid-install your system is possibly in an inconsistent state
between fc2 and fc4.  Lets concentrate on the installer crash for now.
Comment 3 David Anderson 2005-06-15 16:18:08 EDT
I don't recall any interesting messages apart from the ones listed above (I 
did flick through the TTYs most times). 
 
The first time, the installer didn't get as far as actually installing any 
packages before it dropped out, so I'm really puzzled as to how it could have 
hosed my system at that stage. But then again, I don't know what magic 
anaconda is up to in the "Preparing to install ... " stage. 
 
I'm trying one more install, and will let you know of any errors... 
Comment 4 David Anderson 2005-06-15 17:32:25 EDT
Well, what do you know, this time it went through the whole thing without 
giving any errors. (This was textmode, askmethod - from hard disk, noprobe, 
new install, Personal Desktop). 
 
But when it booted, there was no xorg-x11 package, which seemed a bit odd for 
a personal desktop. Also there was not /etc/shadow - root had its password 
in /etc/passwd, and adding new users with useradd failed. firstboot also 
didn't show. eth0 hadn't been configured. 
 
After fixing those things manually, I tried logging in; segfaults; init 
respawning; lockup. Hmmm. 
 
I double-checked I hadn't downloaded Test1 by mistake. This was definitely FC4 
final. Completely unusable. Pre-alpha. Worst product I've ever seen. What can 
I say? I must have something somewhere that has triggered a whole plethora of 
very unique bugs. Very odd. 
Comment 5 David Anderson 2005-06-15 17:52:39 EDT
I decided to try one last installation...  
  
textmode, askmethod - from hard disk, new install, Work Station  
  
After formatting the drive it then crashed. No errors on any of the TTYs. The 
last thing shown is the tune2fs output. No output is visible on the main 
screen other than "installer exited abnormally" then the shutdown blurb. 
 
The common thing with Knopppix 3.9 is the 2.6.11 kernel. This is an Athlon XP 
2000. 
 
I guess I'll go try Cent OS 4 now. 
Comment 6 David Anderson 2005-06-15 17:54:49 EDT
Just to be clear, the "variety of error" messages I listed (cpio: bad magic , 
different python tracebacks, glibc double free error, bad checksum, unresolved 
symbols) are all error messages that come up when FC4 anaconda crashes, not 
error messages in Knoppix or the old FC2 installation. 
  
Comment 7 David Anderson 2005-06-15 19:44:59 EDT
I must be mad, but I thought "one last try...." 
 
This time I ran the installer with "selinux=0". 
 
It installed, and firstboot ran.... and gdm came up.... and then X repeatedly 
segfaults. 
 
Tried "ifup eth0". Segfault, but it came up anyway. 
 
Tried "yum update" in case there was something wrong there. kernel panic. 
 
Rebooted, changed runlevel to 3. 
 
Tried "yum update" - yum crashes with traceback - "SQL logic error or missing 
database". Downloaded xorg updates manually and installed. No change. 
 
Reboot. kernel panic - init not found. 
 
Reboot. Hangs. 
 
CentOS it is, then. 
 
Comment 8 Paul Nasrat 2005-06-16 05:48:04 EDT
Please attach any tracebacks in anaconda - there should be an option to save
these to disk.

Please describe the exact steps upto and full error message and at what point
recieved you get when installing.  Your report mentions lots of errors, but in
trying to pin down the issue I really need to have everything in context.

By trying multiple things you're making it incredibly hard to debug what is
happening.  Please can you try a standard install with no extra parameters and
describe in full what happens when.  Please can you provide full information
about your hardware (processor, chipset, partitioning scheme) and system setup.

Others have successfully upgraded and installed the amount of errors you are
experiencing  is concerning please run memtest86+ on your hardware.
Comment 9 David Anderson 2005-06-16 07:32:23 EDT
Hello,   
   
I just logged in to note that I'd just tried CentOS 4 with similar   
results... ...and then tried memtest86. Failed. (779 failures so far; 50%   
through the test).   
   
I take all the "pre-alpha" stuff back! Not your fault - mine, so it seems. 
Sincere apologies. 
  
I guess I've just been particularly unfortunate that the memory chose the day   
I went for an upgrade to fail. (I can't ever remember any segfaults or kernel  
panics on this machine in its life up until now).   
   
Closing with NOTABUG.  
  

Note You need to log in before you can comment on or make changes to this bug.